Subject: Re: [PATCH v2 3/7] gen_init_cpio: attempt copy_file_range for file data

From: David Disseldorp <[email-masked]>
Date: Tue, 19 Aug 2025 10:20:05 +1000

On Mon, 18 Aug 2025 20:40:39 +0200, Nicolas Schier wrote:
...
> Thanks.  I like introducing copy_file_range() here, it reduces the cpio
> generation time on my system by a about 30% on a btrfs filesystem.
> May cpio_mkfile_csum() now the slowest part?

cpio checksums are slow, but I don't think it's worth optimizing for at
this stage: they're optional (-c) and support for them was only recently
added (800c24dc34b93). Besides, there are better ways to guarantee
initramfs integrity.

Thanks, David